package com.aodianyun.service.api;

import org.json.JSONException;
import org.json.JSONObject;
/**
 * 接口调用时抛出的异常
 * */
public class ApiException extends RuntimeException {
	private static final long serialVersionUID = 1L;
	
	private Object data;
	
	public Object getData() {
		return data;
	}
	public void setData(Object data) {
		this.data = data;
	}
	public ApiException(Object data) {
		this.data = data;
	}
	protected void setErrorData(String errorField,Object errorCode,String msgField,String msg) {
		JSONObject obj = new JSONObject();
		try {
			obj.put(errorField, errorCode);
			obj.put(msgField, msg);
		} catch (JSONException e) {
			e.printStackTrace();
		}
		this.data = obj;
	}
	public ApiException(String errorField,Object errorCode,String msgField,String msg, Throwable cause) {
		super(msg, cause);
		setErrorData(errorField,errorCode,msgField,msg);
	}
	public ApiException(String errorField,Object errorCode,String msgField,String msg) {
		super(msg);
		setErrorData(errorField,errorCode,msgField,msg);
	}
	public ApiException(JSONObject obj) {
		super(obj.toString());
		this.data = obj;
	}
}
